[tool.poetry]
name = "app"
version = "0.1.0"
description = ""
authors = ["xujiawei"]
readme = "README.md"
package-mode = false

[[tool.poetry.source]]
name = "aliyun"
url = "https://mirrors.aliyun.com/pypi/simple"
priority = "primary"

[tool.poetry.dependencies]
python = ">=3.10,<3.13"
aiofiles = "24.1.0"
aiohappyeyeballs = "2.3.5"
aiohttp = "3.11.10"
aiohttp-retry = "2.9.1"
aiomysql = "0.2.0"
aioshutil = "1.5"
aiosignal = "1.3.1"
aiosmtplib = "3.0.2"
aiosqlite = "0.20.0"
aiostream = "0.5.2"
alembic = "1.14.0"
amqp = "5.2.0"
annotated-types = "0.7.0"
anyio = "3.7.1"
anytree = "2.12.1"
apscheduler = "3.11.0"
async-timeout = "4.0.3"
asyncclick = "8.1.7.2"
asyncpg = "0.29.0"
attrs = "23.1.0"
autograd = "1.7.0"
backoff = "2.2.1"
bcrypt = "4.2.1"
beartype = "0.18.5"
beautifulsoup4 = "4.12.3"
billiard = "4.2.0"
boto3 = "1.35.81"
botocore = "1.35.81"
bs4 = "0.0.2"
build = "1.2.2.post1"
cachecontrol = "0.14.1"
celery = "5.3.4"
certifi = "2024.7.4"
cffi = "1.17.1"
charset-normalizer = "3.3.2"
cleo = "2.1.0"
click = "8.1.7"
click-didyoumean = "0.3.0"
click-plugins = "1.1.1"
click-repl = "0.3.0"
colorlog = "6.9.0"
contourpy = "1.3.1"
crashtest = "0.4.1"
cryptography = "43.0.3"
cycler = "0.12.1"
dataclasses-json = "0.6.7"
deepdiff = "7.0.1"
deprecated = "1.2.15"
deprecation = "2.1.0"
distlib = "0.3.9"
distro = "1.9.0"
dnspython = "2.7.0"
dulwich = "0.21.7"
email-validator = "2.2.0"
et-xmlfile = "2.0.0"
eval-type-backport = "0.2.0"
exceptiongroup = "1.2.0"
fastapi = "0.115.12"
fastapi-pagination = "0.12.32"
fastjsonschema = "2.20.0"
filelock = "3.16.1"
fire = "0.5.0"
flupy = "1.2.1"
fonttools = "4.55.3"
frozenlist = "1.4.1"
fsspec = "2024.10.0"
future = "1.0.0"
gensim = "4.3.3"
gevent = "24.2.1"
gotrue = "2.11.0"
graspologic = "3.4.1"
graspologic-native = "1.2.1"
greenlet = "3.0.3"
grpcio = "1.68.1"
grpcio-tools = "1.62.3"
gunicorn = "21.2.0"
h11 = "0.14.0"
h2 = "4.1.0"
hatchet-sdk = "0.38.3"
hpack = "4.0.0"
httpcore = "1.0.5"
httpx = "0.27.0"
huggingface-hub = "0.26.5"
hyperframe = "6.0.1"
hyppo = "0.4.0"
idna = "3.7"
importlib-metadata = "8.5.0"
installer = "0.7.0"
jaraco-classes = "3.4.0"
jeepney = "0.8.0"
jinja2 = "3.1.4"
jiter = "0.8.2"
jmespath = "1.0.1"
joblib = "1.4.2"
jsonpatch = "1.33"
jsonpath-python = "1.0.6"
jsonpointer = "3.0.0"
jsonschema = "4.23.0"
jsonschema-path = "0.3.2"
jsonschema-specifications = "2023.12.1"
keyring = "24.3.1"
kiwisolver = "1.4.7"
kombu = "5.3.4"
langchain = "0.2.12"
langchain-community = "0.2.11"
langchain-core = "0.2.29"
langchain-text-splitters = "0.2.2"
langsmith = "0.1.99"
lazy-object-proxy = "1.10.0"
litellm = "1.55.2"
llvmlite = "0.43.0"
loguru = "0.7.3"
lxml = "5.1.0"
mako = "1.3.0"
markdown = "3.7"
markupsafe = "2.1.3"
marshmallow = "3.21.3"
matplotlib = "3.10.0"
monotonic = "1.6"
more-itertools = "10.5.0"
msgpack = "1.1.0"
multidict = "6.0.5"
mypy-extensions = "1.0.0"
nest-asyncio = "1.6.0"
networkx = "3.4.2"
nltk = "3.9.1"
numba = "0.60.0"
numpy = "1.26.4"
ollama = "0.3.3"
#openai = "1.58.1"
#openapi-schema-validator = "0.6.2"
openapi-spec-validator = "0.7.1"
#openpyxl = "3.1.5"
ordered-set = "4.1.0"
orjson = "3.9.15"
packaging = "23.2"
pandas = "2.2.3"
passlib = "1.7.4"
pathable = "0.4.3"
patsy = "1.0.1"
pdf2image = "1.17.0"
pexpect = "4.9.0"
pgvector = "0.3.6"
pillow = "11.0.0"
pkginfo = "1.11.2"
platformdirs = "4.3.6"
poetry = "1.8.4"
poetry-core = "1.9.1"
poetry-plugin-export = "1.8.0"
postgrest = "0.18.0"
posthog = "3.7.4"
pot = "0.9.5"
prompt-toolkit = "3.0.43"
propcache = "0.2.1"
protobuf = "4.25.5"
psutil = "6.1.0"
psycopg-binary = "3.2.3"
psycopg2-binary = "2.9.10"
ptyprocess = "0.7.0"
pycparser = "2.22"
pycryptodome = "3.20.0"
pydantic = "2.11.3"
pydantic-settings = "2.4.0"
pydantic-core = "2.33.1"
pyjwt = "2.9.0"
pymupdf = "1.23.8"
pymupdfb = "1.23.7"
pymysql = "1.1.1"
pynndescent = "0.5.13"
pyparsing = "3.2.0"
pypdf = "4.3.1"
pypdf2 = "3.0.1"
pyproject-hooks = "1.2.0"
python-dateutil = "2.9.0.post0"
python-docx = "1.1.2"
python-dotenv = "1.0.1"
python-http-client = "3.3.7"
python-magic = "0.4.27"
python-multipart = "0.0.9"
python-pptx = "1.0.2"
pytz = "2024.2"
pyyaml = "6.0.1"
r2r = "3.5.11"
rapidfuzz = "3.10.1"
realtime = "2.0.6"
redis = "5.0.8"
referencing = "0.31.1"
regex = "2024.7.24"
requests = "2.32.2"
requests-toolbelt = "1.0.0"
rfc3339-validator = "0.1.4"
rpds-py = "0.18.0"
s3transfer = "0.10.4"
scikit-learn = "1.6.0"
scipy = "1.12.0"
seaborn = "0.13.2"
secretstorage = "3.3.3"
sendgrid = "6.11.0"
shellingham = "1.5.4"
six = "1.16.0"
smart-open = "7.0.5"
sniffio = "1.3.0"
soupsieve = "2.5"
sqlakeyset = "2.0.1701229837"
sqlalchemy = "2.0.36"
sqlmodel = "0.0.21"
sse-starlette = "1.8.2"
starkbank-ecdsa = "2.2.0"
starlette = "0.46.1"
statsmodels = "0.14.4"
storage3 = "0.9.0"
strenum = "0.4.15"
supabase = "2.10.0"
supafunc = "0.7.0"
tenacity = "8.5.0"
termcolor = "2.5.0"
threadpoolctl = "3.5.0"
tiktoken = "0.8.0"
tokenizers = "0.19.0"
toml = "0.10.2"
tomli = "2.1.0"
tomlkit = "0.13.2"
tqdm = "4.66.5"
trove-classifiers = "2024.10.21.16"
types-aiofiles = "24.1.0.20240626"
types-requests = "2.32.0.20240712"
typing-inspect = "0.9.0"
typing-extensions = "4.12.2"
tzdata = "2023.3"
tzlocal = "5.2"
umap-learn = "0.5.7"
unstructured-client = "0.25.9"
urllib3 = "2.0.7"
uvicorn = "0.27.1"
vecs = "0.4.5"
vine = "5.1.0"
virtualenv = "20.27.1"
wcwidth = "0.2.12"
websockets = "13.1"
wrapt = "1.17.0"
xlsxwriter = "3.2.0"
yarl = "1.18.3"
zipp = "3.21.0"
zope-event = "5.0"
zope-interface = "6.2"
#gunicorn = "23.0.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
